import { IComponent } from "@inweb/viewer-core";
import type { Viewer } from "../Viewer";
export declare class ResizeCanvasComponent implements IComponent {
    protected viewer: Viewer;
    protected resizeObserver: ResizeObserver;
    constructor(viewer: Viewer);
    dispose(): void;
    resizeViewer: (entries: ResizeObserverEntry[]) => void;
}
